#ifndef DIALOGEDITINSTRUCTOR_H
#define DIALOGEDITINSTRUCTOR_H

#include <QDialog>
#include "instructor.h"
#include "ui_dialogeditinstructor.h"

namespace Ui {
class DialogEditInstructor;
}

class DialogEditInstructor : public QDialog
{
    Q_OBJECT

public:
    explicit DialogEditInstructor(bool adminMode, QWidget *parent = nullptr);
    ~DialogEditInstructor();

    void setInstructor(Instructor instructor);
    Instructor getInstructor();

private slots:
    void on_editName_textChanged(const QString &arg1);

    void on_editLogin_textChanged(const QString &arg1);

    void on_editPassword_textChanged(const QString &arg1);

    void on_btnOK_clicked();

    void on_btnViewPassword_pressed();

    void on_btnViewPassword_released();

    void on_btnChangePassword_clicked();

    void on_editLogin_inputRejected();

private:
    void verify();

private:
    Ui::DialogEditInstructor *ui;

    Instructor instructorInput;

    bool flNeedHashPassword;

    bool adminMode;
};

#endif // DIALOGEDITINSTRUCTOR_H
